unit modebeer;

interface

uses Windows, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, Spin, ExtCtrls, sysutils, ComCtrls,
  
  graphker, jmmUtil, spectroCfg;

type
  TModeBeerDlg = class(TForm)
    OKBtn: TBitBtn;
    CancelBtn: TBitBtn;
    HelpBtn: TBitBtn;
    GrandeurGB: TGroupBox;
    Label4: TLabel;
    Label5: TLabel;
    LabelMin: TLabel;
    LabelMax: TLabel;
    Label2: TLabel;
    EditNom: TEdit;
    EditUnite: TEdit;
    EditMin: TEdit;
    EditMax: TEdit;
    EditSignif: TEdit;
    BeerCB: TCheckBox;
    procedure OKBtnClick(Sender: TObject);
    procedure FormActivate(Sender: TObject);
  private
  public
  end;

var
  ModeBeerDlg: TModeBeerDlg;

implementation

{$R *.DFM}

procedure TModeBeerDlg.OKBtnClick(Sender: TObject);
begin with spectroBiochrom do begin
           NomC := EditNom.text;
           UniteC := EditUnite.text;
           SignifC := EditSignif.text;
           try
           MiniC := strToFloatWin(EditMin.text);
           except
              MiniC := 0;
           end;
           try
           MaxiC := strToFloatWin(EditMax.text);
           except
              MaxiC := 0.01;
           end;
           VerifMinMaxReal(miniC,maxiC);
           BeerActif := BeerCB.checked;
end end;

procedure TModeBeerDlg.FormActivate(Sender: TObject);
begin with spectroBiochrom do begin
     EditNom.text := nomC;
     EditUnite.text := UniteC;
     EditSignif.text := SignifC;
     EditMax.text := FloatToStr(maxiC);
     EditMin.text := FloatToStr(miniC);
     BeerCB.checked := spectroBiochrom.BeerActif;
end end;

end.
